Bug 173486 - Further key management facility improvements
Further key management facility improvements
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Howells
Brian Brock
: Regression
Depends On:
Blocks: 168429 173910 175195
  Show dependency treegraph
 
Reported: 2005-11-17 10:40 EST by David Howells
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 15:49:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add a keyctl function to permit key expiry times to be set (3.86 KB, patch)
2005-11-17 10:42 EST, David Howells
no flags Details | Diff
Patch to discard matching links from a keyring on a new link being created (4.15 KB, patch)
2005-11-17 10:44 EST, David Howells
no flags Details | Diff

  None (edit)
Description David Howells 2005-11-17 10:40:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.2 (like Gecko)

Description of problem:
The attached patches provide a pair of improvements that are on their way 
upstream: 
 
 (1) A patch to add a keyctl function to permit userspace to set the expiry 
     times on a key. 
 
 (2) A patch that when a key is linked into a keyring causes any links from 
     that keyring to keys that match the new key's type and description to be 
     discarded. 
 
The second patch makes maintenance of keyrings easier, especially when keys 
are timing out and having to be replaced - the old keys get then discarded 
automatically. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
The facility provided by patch (1) does not exist without this patch. With   
this patch and an updated keyutils package, the following should create a new   
key, add it to the session keyring and cause it to timeout after 30 seconds:   
   
        keyctl timeout `keyctl add user a a @s` 30   
   
With patch (2), doing:   
   
        keyctl link `keyctl add user a a @s` @s  
        keyctl show 
 
Will show two links to the new key in the session keyring before the patch is 
applied, and one after. 

Additional info:

These patches are upstream in Andrew Morton's kernel. 
 
The keyutils will need updating for the facility provided by the first patch 
to become available.
Comment 1 David Howells 2005-11-17 10:42:41 EST
Created attachment 121193 [details]
Patch to add a keyctl function to permit key expiry times to be set
Comment 2 David Howells 2005-11-17 10:44:47 EST
Created attachment 121194 [details]
Patch to discard matching links from a keyring on a new link being created
Comment 7 Red Hat Bugzilla 2006-03-07 15:49:46 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html

Note You need to log in before you can comment on or make changes to this bug.